Skip to main content
GET
mta-js

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

station
string
required

NJ Transit RailData station code, such as NY for New York Penn Station.

Minimum string length: 1
line
string

Optional RailData line code for the 19-record schedule endpoint, such as NEC/NJCL line codes where available.

Minimum string length: 1
includeStops
boolean

Include stop lists for each train. When true, the backend uses RailData getTrainSchedule.

limit
number
Required range: 1 <= x <= 50
includeRaw
boolean

Response

200 - application/json

Response for status 200

mode
string
required
Allowed value: "nj-transit-rail"
route
object
required
station
object
required
departureTime
string
required
minutes
number
required
realtime
boolean
required
source
string
required
destination
string
track
string
trainId
string
tripId
string
status
string
delaySeconds
number
lastUpdated
string
lat
number
lon
number
stops
object[]
raw
any